/*
 * Copyright (C) 1997-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *    - Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *    - Redistributions in binary form must reproduce the above
 *      copyright notice, this list of conditions and the following
 *      disclaimer in the documentation and/or other materials provided
 *      with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 */
/*
 *
 * Maher Khatib - Tue Jun 24 1997
 *
 */
#ifndef _SICK_LIB_TRAMS_H_
#define _SICK_LIB_TRAMS_H_


/*
 * Computer => Sick
 */

#define INIT_TGM                                    ((char)0x10)
#define BM_TGM                                      ((char)0x20)
#define MWANF_TGM                                   ((char)0x30)
#define SSANF_TGM                                   ((char)0x31)
#define ERRANF_TGM                                  ((char)0x32)
#define TSTANF_TGM                                  ((char)0x33)
#define MEMANF_TGM                                  ((char)0x34)
#define MMWANF_TGM                                  ((char)0x36)
#define MWPANF_TGM                                  ((char)0x37)
#define BSFKFG_TGM                                  ((char)0x40)
#define BSFCONF_TGM                                 ((char)0x41)
#define PWCHG_TGM                                   ((char)0x42)
#define KSFKFG_TGM                                  ((char)0x43)
#define WANL_TGM                                    ((char)0x44)
#define SFANF_TGM                                   ((char)0x45)
#define LMOD_TGM                                    ((char)0x46)
#define WANLCFRM_TGM                                ((char)0x47)
#define AGL_TGM                                     ((char)0x50)
#define ANLDEF_TGM                                  ((char)0x60)
#define ANLCFRM_TGM                                 ((char)0x61)
#define OUTPUTDEF_TGM                               ((char)0x62)
#define RSPTIMEDEF_TGM                              ((char)0x63)
#define RSPTIMECFRM_TGM                             ((char)0x64)
#define WSFTYPDEF_TGM                               ((char)0x65)
#define BRPERMDEF_TGM                               ((char)0x66)
#define ADRDEF_TGM                                  ((char)0x67)
#define LASER_TGM                                   ((char)0x68)
/* LMS 2xx-xxx06 */
#define LMSKFGANF_TGM                               ((char)0x74)
#define LMSKFGDEF_TGM                               ((char)0x77)
#define TYPANF_TGM                                  ((char)0x3a)
#define VARDEF_TGM                                  ((char)0x3b)



/*
 * Sick => Computer
 */

#define PON_TGM                                     ((char)0x90)
#define INIT_ACK_TGM                                ((char)0x91)
#define NACK_TGM                                    ((char)0x92)
#define BMACK_TGM                                   ((char)0xa0)
#define MW_TGM                                      ((char)0xb0)
#define SS_TGM                                      ((char)0xb1)
#define ERR_TGM                                     ((char)0xb2)
#define MEMRD_TGM                                   ((char)0xb4)
#define MMW_TGM                                     ((char)0xb6)
#define MWP_TGM                                     ((char)0xb7)
#define BSFACK_TGM                                  ((char)0xc0)
#define BSFCFRM_TGM                                 ((char)0xc1)
#define PWACK_TGM                                   ((char)0xc2)
#define KSFACK_TGM                                  ((char)0xc3)
#define WANLACK_TGM                                 ((char)0xc4)
#define SFDAT_TGM                                   ((char)0xc5)
#define LMODACK_TGM                                 ((char)0xc6)
#define AGLACK_TGM                                  ((char)0xd0)
#define ANLACK_TGM                                  ((char)0xe0)
#define OUTPUTACK_TGM                               ((char)0xe2)
#define RSPTIMEACK_TGM                              ((char)0xe4)
#define WSFTYPACK_TGM                               ((char)0xe5)
#define BRPERMACK_TGM                               ((char)0xe6)
#define ADRACK_TGM                                  ((char)0xe7)
#define LASERACK_TGM                                ((char)0xe8)
/* LMS 2xx-xxx06 */
#define LMSKFG_TGM                                  ((char)0xf4)
#define LMSKFGACK_TGM                               ((char)0xf7)
#define TYPE_TGM                                    ((char)0xba)
#define VARDEFACK_TGM                               ((char)0xbb)

#endif /* _SICK_LIB_TRAMS_H_ */
