/*
 * Copyright (C) 1997-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *    - Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *    - Redistributions in binary form must reproduce the above
 *      copyright notice, this list of conditions and the following
 *      disclaimer in the documentation and/or other materials provided
 *      with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 */
/*
 *
 * Maher Khatib - Tue Jun 24 1997
 *
 */
#ifndef _SICK_LIB_TRANSITION_H_
#define _SICK_LIB_TRANSITION_H_

typedef enum sick_lib_mode_transition {
  TR_OK,			/* Possible transition */
  TR_ER,			/* Impossible transition */
  TR_CO				/* Conditional transition */
} SICK_LIB_MODE_TRANSITION;


#define STATION_TO_SICK_COMMAND_LIST {\
    INIT_TGM, BM_TGM, MWANF_TGM, SSANF_TGM, \
    ERRANF_TGM, TSTANF_TGM, MEMANF_TGM,\
    MMWANF_TGM, MWPANF_TGM, BSFKFG_TGM, \
    BSFCONF_TGM, PWCHG_TGM, KSFKFG_TGM, \
    WANL_TGM, SFANF_TGM, LMOD_TGM, WANLCFRM_TGM, \
    AGL_TGM, ANLDEF_TGM, ANLCFRM_TGM, OUTPUTDEF_TGM, \
    RSPTIMEDEF_TGM, RSPTIMECFRM_TGM, WSFTYPDEF_TGM, \
    BRPERMDEF_TGM, ADRDEF_TGM, LASER_TGM LMSKFGANF_TGM, LMSKFGDEF_TGM, \
    TYPANF_TGM, VARDEF_TGM}

#define STATION_TO_SICK_COMMAND_LIST_NUMBER (31)

#define SICK_LIB_TO_STATION_COMMAND_LIST {\
    PON_TGM, INIT_ACK_TGM, NACK_TGM, BMACK_TGM, MW_TGM, SS_TGM, ERR_TGM, MEMRD_TGM, \
    MMW_TGM, MWP_TGM, BSFACK_TGM, BSFCFRM_TGM, PWACK_TGM, KSFACK_TGM, WANLACK_TGM, \
    SFDAT_TGM, LMODACK_TGM, AGLACK_TGM, ANLACK_TGM, OUTPUTACK_TGM, RSPTIMEACK_TGM, \
    WSFTYPACK_TGM, BRPERMACK_TGM, ADRACK_TGM, LASERACK_TGM, \
    LMSKFG_TGM, LMSKFGACK_TGM, TYPE_TGM, VARDEFACK_TGM}  

#define SICK_LIB_TO_STATION_COMMAND_LIST_NUMBER (29)


#define SICK_LIB_MODE_TRANSITION_TABLE {\
  {TR_OK, TR_OK, TR_OK, TR_OK},\
  {TR_OK, TR_OK, TR_OK, TR_OK},\
  {TR_OK, TR_OK, TR_OK, TR_OK},\
  {TR_OK, TR_OK, TR_OK, TR_OK},\
  {TR_OK, TR_OK, TR_OK, TR_OK},\
  {TR_OK, TR_OK, TR_OK, TR_OK},\
  {TR_OK, TR_OK, TR_OK, TR_OK},\
  {TR_OK, TR_OK, TR_OK, TR_OK},\
  {TR_OK, TR_OK, TR_OK, TR_OK},\
  {TR_OK, TR_OK, TR_OK, TR_OK},\
  {TR_CO, TR_OK, TR_ER, TR_ER},\
  {TR_ER, TR_ER, TR_OK, TR_CO},\
  {TR_ER, TR_ER, TR_OK, TR_OK},\
  {TR_ER, TR_ER, TR_OK, TR_OK},\
  {TR_ER, TR_ER, TR_OK, TR_OK},\
  {TR_ER, TR_ER, TR_OK, TR_OK},\
  {TR_ER, TR_ER, TR_OK, TR_OK},\
  {TR_ER, TR_ER, TR_OK, TR_OK},\
  {TR_ER, TR_ER, TR_OK, TR_OK},\
  {TR_ER, TR_ER, TR_OK, TR_OK},\
  {TR_ER, TR_ER, TR_OK, TR_OK},\
  {TR_ER, TR_ER, TR_OK, TR_OK},\
  {TR_ER, TR_ER, TR_OK, TR_OK}\
}

#endif /* _SICK_LIB_TRANSITION_H_ */
